### Method

# Gimp Config serialize_to_stream

#### Declaration [src]

    gboolean
    gimp_config_serialize_to_stream (
      GimpConfig* config,
      GOutputStream* output,
      const gchar* header,
      const gchar* footer,
      gpointer data,
      GError** error
    )

#### Description [src]

Serializes the object properties of `config` to the stream specified by `output`.

Available since: | 2.10

#### Parameters

`output` | `GOutputStream`
| The `GOutputStream` to write the configuration to.
| The data is owned by the caller of the function.
`header` | `const gchar*`
| Optional file header (must be ASCII only)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`footer` | `const gchar*`
| Optional file footer (must be ASCII only)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `gpointer`
| User data passed to the serialize implementation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether serialization succeeded.